CreateInstance
POST
/api/sites/{siteId}/instances
const url = 'https://demo.consystence.com/api/sites/example/instances';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"id":"example","name":"example","typeId":"example","typeVersion":"example","assetNumber":"example","controllerId":"example","area":"example","tagMappings":{"additionalProperty":"example"},"config":{"additionalProperty":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://demo.consystence.com/api/sites/example/instances \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "name": "example", "typeId": "example", "typeVersion": "example", "assetNumber": "example", "controllerId": "example", "area": "example", "tagMappings": { "additionalProperty": "example" }, "config": { "additionalProperty": "example" } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”siteId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
id
required
string
name
required
string
typeId
required
string
typeVersion
string
assetNumber
required
string
controllerId
required
string
area
string
tagMappings
object
key
additional properties
string
config
object
key
additional properties
Examplegenerated
{ "id": "example", "name": "example", "typeId": "example", "typeVersion": "example", "assetNumber": "example", "controllerId": "example", "area": "example", "tagMappings": { "additionalProperty": "example" }, "config": { "additionalProperty": "example" }}Responses
Section titled “Responses”OK